<!DOCTYPE html>
<html>
  <head>
    <title>Cart Quantity</title>
  </head>
  <body>
    <button onclick="
      console.log(`Cart quantity: ${cartQuantity}`);
    ">Show Quantity</button>

    <button onclick="
      if (cartQuantity + 1 > 10) {
        alert('The cart is full');
      } else {
        cartQuantity++;
        console.log(`Cart quantity: ${cartQuantity}`);
      }
    ">Add to Cart</button>

    <button onclick="
      if (cartQuantity + 2 > 10) {
        alert('The cart is full');
      } else {
        cartQuantity += 2;
        console.log(`Cart quantity: ${cartQuantity}`);
      }
    ">+2</button>

    <button onclick="
      if (cartQuantity + 3 > 10) {
        alert('The cart is full');
      } else {
        cartQuantity = cartQuantity + 3;
        console.log(`Cart quantity: ${cartQuantity}`);
      }
    ">+3</button>

    <button onclick="
      if (cartQuantity + 4 > 10) {
        alert('The cart is full');
      } else {
        cartQuantity += 4;
        console.log(`Cart quantity: ${cartQuantity}`);
      }
    ">+4</button>

    <button onclick="
      if (cartQuantity + 5 > 10) {
        alert('The cart is full');
      } else {
        cartQuantity += 5;
        console.log(`Cart quantity: ${cartQuantity}`);
      }
    ">+5</button>

    <!-- vvv This code was changed. vvv -->
    <button onclick="
      if (cartQuantity - 1 < 0) {
        alert('Not enough items in the cart');
      } else {
        cartQuantity--;
        console.log(`Cart quantity: ${cartQuantity}`);
      }
    ">Remove from cart</button>

    <button onclick="
      if (cartQuantity - 2 < 0) {
        alert('Not enough items in the cart');
      } else {
        cartQuantity -= 2;
        console.log(`Cart quantity: ${cartQuantity}`);
      }
    ">-2</button>

    <button onclick="
      if (cartQuantity - 3 < 0) {
        alert('Not enough items in the cart');
      } else {
        cartQuantity -= 3;
        console.log(`Cart quantity: ${cartQuantity}`);
      }
    ">-3</button>
   

    <button onclick="
      cartQuantity = 0;
      console.log('Cart was reset.');
      console.log(`Cart quantity: ${cartQuantity}`);
    ">Reset Cart</button>

    <script>
      let cartQuantity = 0;
    </script>
  </body>
</html>